import React from "react"
import style from './index.less'
import { Statistic } from "antd"
import { gameClassifyEnum } from "@/components/QueryForm/const"

function columns12(rechargeTrendHandle: (data: any) => void): { label: string, fieldSHow?: { label: string, saveField: string, defaultValue: any[], data: any[] }, data: any[] }[] {

    const getFieldDta = () => {
        let defaultValue = [  // 默认展示字段
            { label: '充值人数', key: 'rechargeUserCount', type: '付费趋势' },
            { label: '充值金额', key: 'rechargeMoney', type: '付费趋势' },
            { label: '增', key: 'increase', type: '付费趋势' },
            { label: '回', key: 'back', type: '付费趋势' },
            { label: '倍', key: 'multiples', type: '付费趋势' },
        ]
        let mySelectFieldData = localStorage.getItem('myAdFieldConfig1.0.0_游戏每日数据')
        let newSelectFieldData: any = {}
        if (mySelectFieldData) {
            newSelectFieldData = JSON.parse(mySelectFieldData).date_field
        } else {
            newSelectFieldData = defaultValue
        }
        return newSelectFieldData
    }

    return [
        {
            label: '游戏信息',
            data: [
                { title: '推广游戏名称', dataIndex: 'gameName', label: '游戏信息', align: 'center', width: 70, default: 1 },
                {
                    title: '推广游戏应用类型', dataIndex: 'gameClassify', label: '游戏信息', align: 'center', width: 80, default: 2,
                    render: (a: string) => (<span>{gameClassifyEnum[a]}</span>)
                }
            ]
        },
        {
            label: '时间',
            data: [
                { title: '注册时间(天)', dataIndex: 'costDate', label: '时间', align: 'center', width: 100, default: 3 },
            ]
        },
        {
            label: '买量用户数据',
            data: [
                { title: '买量注册人数', dataIndex: 'buyRegNum', label: '买量用户数据', align: 'center', width: 70, default: 4, sorter: true }
            ]
        },
        {
            label: '自然量用户数据',
            data: [
                { title: '自然量注册人数', dataIndex: 'natureRegNum', label: '自然量用户数据', align: 'center', width: 70, default: 5, sorter: true }
            ]
        },
        {
            label: '总用户数据',
            data: [
                { title: '注册人数', dataIndex: 'regNum', label: '总用户数据', align: 'center', width: 70, default: 6, sorter: true }
            ]
        },
        {
            label: '买量付费数据',
            data: [
                { title: '买量首日新用户充值次数', dataIndex: 'buyFirstNewUserAmountCount', label: '买量付费数据', align: 'center', width: 70, default: 7, sorter: true },
                { title: '买量首日新用户充值人数', dataIndex: 'buyFirstNewUserAmountNum', label: '买量付费数据', align: 'center', width: 70, default: 8, sorter: true },
                {
                    title: '买量首日新用户充值金额', dataIndex: 'buyFirstNewUserAmount', label: '买量付费数据', align: 'center', width: 70, default: 9, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                { title: '买量老用户充值次数', dataIndex: 'buyOldUserCount', label: '买量付费数据', align: 'center', width: 70, default: 10, sorter: true },
                { title: '买量老用户充值人数', dataIndex: 'buyOldUserNum', label: '买量付费数据', align: 'center', width: 70, default: 11, sorter: true },
                {
                    title: '买量老用户充值金额', dataIndex: 'buyOldUserAmount', label: '买量付费数据', align: 'center', width: 70, default: 12, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                { title: '买量账面充值次数', dataIndex: 'buyAmountCount', label: '买量付费数据', align: 'center', width: 70, default: 13, sorter: true },
                { title: '买量账面充值人数', dataIndex: 'buyAmountNum', label: '买量付费数据', align: 'center', width: 70, default: 14, sorter: true },
                {
                    title: '买量账面充值金额', dataIndex: 'buyAmount', label: '买量付费数据', align: 'center', width: 70, default: 15, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                { title: '买量新用户累计充值次数', dataIndex: 'buyNewUserTotalAmountCount', label: '买量付费数据', align: 'center', width: 70, sorter: true },
                { title: '买量新用户累计充值人数', dataIndex: 'buyNewUserTotalAmountNum', label: '买量付费数据', align: 'center', width: 70, sorter: true },
                {
                    title: '买量新用户累计充值金额', dataIndex: 'buyNewUserTotalAmount', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量首日付费率', dataIndex: 'buyFirstRoi', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '买量当天付费率', dataIndex: 'buyTodayRoi', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '买量新用户付费比', dataIndex: 'buyNewUserRate', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '买量首日客单价', dataIndex: 'buyFirstAvgAmount', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量当天客单价', dataIndex: 'buyTodayAvgAmount', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量账面客单价', dataIndex: 'buyAvgAmount', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量复充率', dataIndex: 'buyUserAgainRate', label: '买量付费数据', align: 'center', width: 70, default: 16, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '买量新增注册ARPU', dataIndex: 'buyRegUserArpu', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量首日付费ARPU', dataIndex: 'buyFirstAmountArpu', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量当天付费ARPU', dataIndex: 'buyTodayAmountArpu', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '买量账面ARPU', dataIndex: 'buyAmountArpu', label: '买量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
            ]
        },
        {
            label: '自然量付费数据',
            data: [
                { title: '自然量首日新用户充值次数', dataIndex: 'natureFirstNewUserAmountCount', label: '自然量付费数据', align: 'center', width: 70, default: 17, sorter: true },
                { title: '自然量首日新用户充值人数', dataIndex: 'natureFirstNewUserAmountNum', label: '自然量付费数据', align: 'center', width: 70, default: 18, sorter: true },
                {
                    title: '自然量首日新用户充值金额', dataIndex: 'natureFirstNewUserAmount', label: '自然量付费数据', align: 'center', width: 70, default: 19, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                { title: '自然量老用户充值次数', dataIndex: 'natureOldUserCount', label: '自然量付费数据', align: 'center', width: 70, default: 20, sorter: true },
                { title: '自然量老用户充值人数', dataIndex: 'natureOldUserNum', label: '自然量付费数据', align: 'center', width: 70, default: 21, sorter: true },
                {
                    title: '自然量老用户充值金额', dataIndex: 'natureOldUserAmount', label: '自然量付费数据', align: 'center', width: 70, default: 22, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                { title: '自然量账面充值次数', dataIndex: 'natureAmountCount', label: '自然量付费数据', align: 'center', width: 70, sorter: true },
                { title: '自然量账面充值人数', dataIndex: 'natureAmountNum', label: '自然量付费数据', align: 'center', width: 70, sorter: true },
                {
                    title: '自然量账面充值金额', dataIndex: 'natureAmount', label: '自然量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                { title: '自然量新用户累计充值次数', dataIndex: 'natureNewUserTotalAmountCount', label: '自然量付费数据', align: 'center', width: 70, sorter: true },
                { title: '自然量新用户累计充值人数', dataIndex: 'natureNewUserTotalAmountNum', label: '自然量付费数据', align: 'center', width: 70, sorter: true },
                {
                    title: '自然量新用户累计充值金额', dataIndex: 'natureNewUserTotalAmount', label: '自然量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量首日付费率', dataIndex: 'natureFirstRoi', label: '自然量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '自然量当天付费率', dataIndex: 'natureTodayRoi', label: '自然量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '自然量新用户付费比', dataIndex: 'natureNewUserRate', label: '自然量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '自然量首日客单价', dataIndex: 'natureFirstAvgAmount', label: '自然量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量当天客单价', dataIndex: 'natureTodayAvgAmount', label: '自然量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量账面客单价', dataIndex: 'natureAvgAmount', label: '自然量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量复充率', dataIndex: 'natureUserAgainRate', label: '自然量付费数据', align: 'center', width: 70, default: 23, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '自然量新增注册ARPU', dataIndex: 'natureRegUserArpu', label: '自然量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量首日付费ARPU', dataIndex: 'natureFirstAmountArpu', label: '自然量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量当天付费ARPU', dataIndex: 'natureTodayAmountArpu', label: '自然量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '自然量账面ARPU', dataIndex: 'natureAmountArpu', label: '自然量付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                }
            ]
        },
        {
            label: '总付费数据',
            data: [
                { title: '总首日新用户充值次数', dataIndex: 'firstNewUserAmountCount', label: '总付费数据', align: 'center', width: 70, default: 24, sorter: true },
                { title: '总首日新用户充值人数', dataIndex: 'firstNewUserAmountNum', label: '总付费数据', align: 'center', width: 70, default: 25, sorter: true },
                {
                    title: '总首日新用户充值金额', dataIndex: 'firstNewUserAmount', label: '总付费数据', align: 'center', width: 70, default: 26, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                { title: '总老用户充值次数', dataIndex: 'oldUserCount', label: '总付费数据', align: 'center', width: 70, default: 27, sorter: true },
                { title: '总老用户充值人数', dataIndex: 'oldUserNum', label: '总付费数据', align: 'center', width: 70, default: 28, sorter: true },
                {
                    title: '总老用户充值金额', dataIndex: 'oldUserAmount', label: '总付费数据', align: 'center', width: 70, default: 29, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                { title: '总账面充值次数', dataIndex: 'amountCount', label: '总付费数据', align: 'center', width: 70, sorter: true },
                { title: '总账面充值人数', dataIndex: 'amountNum', label: '总付费数据', align: 'center', width: 70, sorter: true },
                {
                    title: '总账面充值金额', dataIndex: 'amount', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                { title: '总新用户累计充值次数', dataIndex: 'newUserTotalAmountCount', label: '总付费数据', align: 'center', width: 70, sorter: true },
                { title: '总新用户累计充值人数', dataIndex: 'newUserTotalAmountNum', label: '总付费数据', align: 'center', width: 70, sorter: true },
                {
                    title: '总新用户累计充值金额', dataIndex: 'newUserTotalAmount', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总首日付费率', dataIndex: 'firstRoi', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '总当天付费率', dataIndex: 'todayRoi', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '总新用户付费比', dataIndex: 'newUserRate', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '总首日客单价', dataIndex: 'firstAvgAmount', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总当天客单价', dataIndex: 'todayAvgAmount', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总账面客单价', dataIndex: 'avgAmount', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总复充率', dataIndex: 'userAgainRate', label: '总付费数据', align: 'center', width: 70, default: 30, sorter: true,
                    render: (a: number) => <Statistic value={a ? a * 100 : 0} precision={2} valueStyle={a >= 1 ? { color: 'red' } : { color: '#0f990f' }} suffix="%" />
                },
                {
                    title: '总新增注册ARPU', dataIndex: 'regUserArpu', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总首日付费ARPU', dataIndex: 'firstAmountArpu', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总当天付费ARPU', dataIndex: 'todayAmountArpu', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                },
                {
                    title: '总账面ARPU', dataIndex: 'amountArpu', label: '总付费数据', align: 'center', width: 70, sorter: true,
                    render: (a: string) => <Statistic value={a || 0} />
                }
            ]
        },
        {
            fieldSHow: {
                label: '日期区间字段展示',
                saveField: 'date_field',
                defaultValue: [  // 默认展示字段
                    { label: '充值人数', key: 'rechargeUserCount', type: '付费趋势' },
                    { label: '充值金额', key: 'rechargeMoney', type: '付费趋势' },
                    { label: '增', key: 'increase', type: '付费趋势' },
                    { label: '回', key: 'back', type: '付费趋势' },
                    { label: '倍', key: 'multiples', type: '付费趋势' },
                ],
                data: [
                    {
                        label: '付费趋势',
                        data: [
                            { label: '充值人数', key: 'rechargeUserCount', type: '付费趋势' },
                            { label: '充值金额', key: 'rechargeMoney', type: '付费趋势' },
                            { label: '增', key: 'increase', type: '付费趋势' },
                            { label: '回', key: 'back', type: '付费趋势' },
                            { label: '倍', key: 'multiples', type: '付费趋势' },
                        ]
                    }
                ]
            },
            label: '买量付费趋势',
            data: [{
                title: "D1（买）",
                dataIndex: "D1Buy",
                label: "买量付费趋势",
                align: "center",
                width: 110,
                default: 31,
                render: (a: any, b: any) => {
                    let fieldData = getFieldDta()
                    if (fieldData?.length > 0) {
                        let data: any = {}
                        let keyS: string[] = fieldData?.map((item: any) => item.key)
                        switch (fieldData[0].type) {
                            case '付费趋势':
                                if (b?.buyAmountD1Trend) {
                                    data = b?.buyAmountD1Trend
                                    return <div className={style.dbox}>
                                        {keyS?.includes('rechargeUserCount') && <span style={{ color: '#d81b60', fontWeight: 600 }}>充人：<span>{data?.rechargeUserCount}</span></span>}
                                        {keyS?.includes('rechargeMoney') && <span style={{ color: '#0f538a', fontWeight: 600 }}>充金：<span><Statistic value={data?.rechargeMoney || 0} valueStyle={{ color: '#0f538a', fontWeight: 600 }} /></span></span>}
                                        {keyS?.includes('increase') && <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>增：<span>{(data?.increase * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('back') && <span style={{ color: '#ff5722', fontWeight: 600 }}>回：<span>{(data?.back * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('multiples') && <span style={{ color: '#d81b60', fontWeight: 600 }}>倍：<span>{data?.multiples}</span></span>}
                                    </div>
                                }
                                return '--'
                        }
                    }
                    return '--'
                },
            }, {
                title: "D3（买）",
                dataIndex: "D3Buy",
                label: "买量付费趋势",
                align: "center",
                width: 110,
                default: 32,
                render: (a: any, b: any) => {
                    let fieldData = getFieldDta()
                    if (fieldData?.length > 0) {
                        let data: any = {}
                        let keyS: string[] = fieldData?.map((item: any) => item.key)
                        switch (fieldData[0].type) {
                            case '付费趋势':
                                if (b?.buyAmountD3Trend) {
                                    data = b?.buyAmountD3Trend
                                    return <div className={style.dbox}>
                                        {keyS?.includes('rechargeUserCount') && <span style={{ color: '#d81b60', fontWeight: 600 }}>充人：<span>{data?.rechargeUserCount}</span></span>}
                                        {keyS?.includes('rechargeMoney') && <span style={{ color: '#0f538a', fontWeight: 600 }}>充金：<span><Statistic value={data?.rechargeMoney || 0} valueStyle={{ color: '#0f538a', fontWeight: 600 }} /></span></span>}
                                        {keyS?.includes('increase') && <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>增：<span>{(data?.increase * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('back') && <span style={{ color: '#ff5722', fontWeight: 600 }}>回：<span>{(data?.back * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('multiples') && <span style={{ color: '#d81b60', fontWeight: 600 }}>倍：<span>{data?.multiples}</span></span>}
                                    </div>
                                }
                                return '--'
                        }
                    }
                    return '--'
                },
            }, {
                title: "D7（买）",
                dataIndex: "D7Buy",
                label: "买量付费趋势",
                align: "center",
                width: 110,
                default: 33,
                render: (a: any, b: any) => {
                    let fieldData = getFieldDta()
                    if (fieldData?.length > 0) {
                        let data: any = {}
                        let keyS: string[] = fieldData?.map((item: any) => item.key)
                        switch (fieldData[0].type) {
                            case '付费趋势':
                                if (b?.buyAmountD7Trend) {
                                    data = b?.buyAmountD7Trend
                                    return <div className={style.dbox}>
                                        {keyS?.includes('rechargeUserCount') && <span style={{ color: '#d81b60', fontWeight: 600 }}>充人：<span>{data?.rechargeUserCount}</span></span>}
                                        {keyS?.includes('rechargeMoney') && <span style={{ color: '#0f538a', fontWeight: 600 }}>充金：<span><Statistic value={data?.rechargeMoney || 0} valueStyle={{ color: '#0f538a', fontWeight: 600 }} /></span></span>}
                                        {keyS?.includes('increase') && <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>增：<span>{(data?.increase * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('back') && <span style={{ color: '#ff5722', fontWeight: 600 }}>回：<span>{(data?.back * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('multiples') && <span style={{ color: '#d81b60', fontWeight: 600 }}>倍：<span>{data?.multiples}</span></span>}
                                    </div>
                                }
                                return '--'
                        }
                    }
                    return '--'
                },
            }, {
                title: "D15（买）",
                dataIndex: "D15Buy",
                label: "买量付费趋势",
                align: "center",
                width: 110,
                default: 34,
                render: (a: any, b: any) => {
                    let fieldData = getFieldDta()
                    if (fieldData?.length > 0) {
                        let data: any = {}
                        let keyS: string[] = fieldData?.map((item: any) => item.key)
                        switch (fieldData[0].type) {
                            case '付费趋势':
                                if (b?.buyAmountD15Trend) {
                                    data = b?.buyAmountD15Trend
                                    return <div className={style.dbox}>
                                        {keyS?.includes('rechargeUserCount') && <span style={{ color: '#d81b60', fontWeight: 600 }}>充人：<span>{data?.rechargeUserCount}</span></span>}
                                        {keyS?.includes('rechargeMoney') && <span style={{ color: '#0f538a', fontWeight: 600 }}>充金：<span><Statistic value={data?.rechargeMoney || 0} valueStyle={{ color: '#0f538a', fontWeight: 600 }} /></span></span>}
                                        {keyS?.includes('increase') && <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>增：<span>{(data?.increase * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('back') && <span style={{ color: '#ff5722', fontWeight: 600 }}>回：<span>{(data?.back * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('multiples') && <span style={{ color: '#d81b60', fontWeight: 600 }}>倍：<span>{data?.multiples}</span></span>}
                                    </div>
                                }
                                return '--'
                        }
                    }
                    return '--'
                },
            }, {
                title: "M1（买）",
                dataIndex: "M1Buy",
                label: "买量付费趋势",
                align: "center",
                width: 110,
                default: 35,
                render: (a: any, b: any) => {
                    let fieldData = getFieldDta()
                    if (fieldData?.length > 0) {
                        let data: any = {}
                        let keyS: string[] = fieldData?.map((item: any) => item.key)
                        switch (fieldData[0].type) {
                            case '付费趋势':
                                if (b?.buyAmountM1Trend) {
                                    data = b?.buyAmountM1Trend
                                    return <div className={style.dbox}>
                                        {keyS?.includes('rechargeUserCount') && <span style={{ color: '#d81b60', fontWeight: 600 }}>充人：<span>{data?.rechargeUserCount}</span></span>}
                                        {keyS?.includes('rechargeMoney') && <span style={{ color: '#0f538a', fontWeight: 600 }}>充金：<span><Statistic value={data?.rechargeMoney || 0} valueStyle={{ color: '#0f538a', fontWeight: 600 }} /></span></span>}
                                        {keyS?.includes('increase') && <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>增：<span>{(data?.increase * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('back') && <span style={{ color: '#ff5722', fontWeight: 600 }}>回：<span>{(data?.back * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('multiples') && <span style={{ color: '#d81b60', fontWeight: 600 }}>倍：<span>{data?.multiples}</span></span>}
                                    </div>
                                }
                                return '--'
                        }
                    }
                    return '--'
                },
            }, {
                title: "M2（买）",
                dataIndex: "M2Buy",
                label: "买量付费趋势",
                align: "center",
                width: 110,
                default: 36,
                render: (a: any, b: any) => {
                    let fieldData = getFieldDta()
                    if (fieldData?.length > 0) {
                        let data: any = {}
                        let keyS: string[] = fieldData?.map((item: any) => item.key)
                        switch (fieldData[0].type) {
                            case '付费趋势':
                                if (b?.buyAmountM2Trend) {
                                    data = b?.buyAmountM2Trend
                                    return <div className={style.dbox}>
                                        {keyS?.includes('rechargeUserCount') && <span style={{ color: '#d81b60', fontWeight: 600 }}>充人：<span>{data?.rechargeUserCount}</span></span>}
                                        {keyS?.includes('rechargeMoney') && <span style={{ color: '#0f538a', fontWeight: 600 }}>充金：<span><Statistic value={data?.rechargeMoney || 0} valueStyle={{ color: '#0f538a', fontWeight: 600 }} /></span></span>}
                                        {keyS?.includes('increase') && <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>增：<span>{(data?.increase * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('back') && <span style={{ color: '#ff5722', fontWeight: 600 }}>回：<span>{(data?.back * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('multiples') && <span style={{ color: '#d81b60', fontWeight: 600 }}>倍：<span>{data?.multiples}</span></span>}
                                    </div>
                                }
                                return '--'
                        }
                    }
                    return '--'
                },
            }, {
                title: "M3（买）",
                dataIndex: "M3Buy",
                label: "买量付费趋势",
                align: "center",
                width: 110,
                default: 37,
                render: (a: any, b: any) => {
                    let fieldData = getFieldDta()
                    if (fieldData?.length > 0) {
                        let data: any = {}
                        let keyS: string[] = fieldData?.map((item: any) => item.key)
                        switch (fieldData[0].type) {
                            case '付费趋势':
                                if (b?.buyAmountM3Trend) {
                                    data = b?.buyAmountM3Trend
                                    return <div className={style.dbox}>
                                        {keyS?.includes('rechargeUserCount') && <span style={{ color: '#d81b60', fontWeight: 600 }}>充人：<span>{data?.rechargeUserCount}</span></span>}
                                        {keyS?.includes('rechargeMoney') && <span style={{ color: '#0f538a', fontWeight: 600 }}>充金：<span><Statistic value={data?.rechargeMoney || 0} valueStyle={{ color: '#0f538a', fontWeight: 600 }} /></span></span>}
                                        {keyS?.includes('increase') && <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>增：<span>{(data?.increase * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('back') && <span style={{ color: '#ff5722', fontWeight: 600 }}>回：<span>{(data?.back * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('multiples') && <span style={{ color: '#d81b60', fontWeight: 600 }}>倍：<span>{data?.multiples}</span></span>}
                                    </div>
                                }
                                return '--'
                        }
                    }
                    return '--'
                },
            }, {
                title: "总（买）",
                dataIndex: "totalBuy",
                label: "买量付费趋势",
                align: "center",
                width: 110,
                default: 38,
                render: (a: any, b: any) => {
                    let fieldData = getFieldDta()
                    if (fieldData?.length > 0) {
                        let data: any = {}
                        let keyS: string[] = fieldData?.map((item: any) => item.key)
                        switch (fieldData[0].type) {
                            case '付费趋势':
                                if (b?.buyAmountSumTrend) {
                                    data = b?.buyAmountSumTrend
                                    return <div className={style.dbox}>
                                        {keyS?.includes('rechargeUserCount') && <span style={{ color: '#d81b60', fontWeight: 600 }}>充人：<span>{data?.rechargeUserCount}</span></span>}
                                        {keyS?.includes('rechargeMoney') && <span style={{ color: '#0f538a', fontWeight: 600 }}>充金：<span><Statistic value={data?.rechargeMoney || 0} valueStyle={{ color: '#0f538a', fontWeight: 600 }} /></span></span>}
                                        {keyS?.includes('increase') && <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>增：<span>{(data?.increase * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('back') && <span style={{ color: '#ff5722', fontWeight: 600 }}>回：<span>{(data?.back * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('multiples') && <span style={{ color: '#d81b60', fontWeight: 600 }}>倍：<span>{data?.multiples}</span></span>}
                                    </div>
                                }
                                return '--'
                        }
                    }
                    return '--'
                },
            }]
        },
        {
            label: '自然量付费趋势',
            data: [{
                title: "D1（自）",
                dataIndex: "D1Nature",
                label: "自然量付费趋势",
                align: "center",
                width: 110,
                default: 39,
                render: (a: any, b: any) => {
                    let fieldData = getFieldDta()
                    if (fieldData?.length > 0) {
                        let data: any = {}
                        let keyS: string[] = fieldData?.map((item: any) => item.key)
                        switch (fieldData[0].type) {
                            case '付费趋势':
                                if (b?.natureAmountD1Trend) {
                                    data = b?.natureAmountD1Trend
                                    return <div className={style.dbox}>
                                        {keyS?.includes('rechargeUserCount') && <span style={{ color: '#d81b60', fontWeight: 600 }}>充人：<span>{data?.rechargeUserCount}</span></span>}
                                        {keyS?.includes('rechargeMoney') && <span style={{ color: '#0f538a', fontWeight: 600 }}>充金：<span><Statistic value={data?.rechargeMoney || 0} valueStyle={{ color: '#0f538a', fontWeight: 600 }} /></span></span>}
                                        {keyS?.includes('increase') && <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>增：<span>{(data?.increase * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('back') && <span style={{ color: '#ff5722', fontWeight: 600 }}>回：<span>{(data?.back * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('multiples') && <span style={{ color: '#d81b60', fontWeight: 600 }}>倍：<span>{data?.multiples}</span></span>}
                                    </div>
                                }
                                return '--'
                        }
                    }
                    return '--'
                },
            }, {
                title: "D3（自）",
                dataIndex: "D3Nature",
                label: "自然量付费趋势",
                align: "center",
                width: 110,
                default: 40,
                render: (a: any, b: any) => {
                    let fieldData = getFieldDta()
                    if (fieldData?.length > 0) {
                        let data: any = {}
                        let keyS: string[] = fieldData?.map((item: any) => item.key)
                        switch (fieldData[0].type) {
                            case '付费趋势':
                                if (b?.natureAmountD3Trend) {
                                    data = b?.natureAmountD3Trend
                                    return <div className={style.dbox}>
                                        {keyS?.includes('rechargeUserCount') && <span style={{ color: '#d81b60', fontWeight: 600 }}>充人：<span>{data?.rechargeUserCount}</span></span>}
                                        {keyS?.includes('rechargeMoney') && <span style={{ color: '#0f538a', fontWeight: 600 }}>充金：<span><Statistic value={data?.rechargeMoney || 0} valueStyle={{ color: '#0f538a', fontWeight: 600 }} /></span></span>}
                                        {keyS?.includes('increase') && <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>增：<span>{(data?.increase * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('back') && <span style={{ color: '#ff5722', fontWeight: 600 }}>回：<span>{(data?.back * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('multiples') && <span style={{ color: '#d81b60', fontWeight: 600 }}>倍：<span>{data?.multiples}</span></span>}
                                    </div>
                                }
                                return '--'
                        }
                    }
                    return '--'
                },
            }, {
                title: "D7（自）",
                dataIndex: "D7Nature",
                label: "自然量付费趋势",
                align: "center",
                width: 110,
                default: 41,
                render: (a: any, b: any) => {
                    let fieldData = getFieldDta()
                    if (fieldData?.length > 0) {
                        let data: any = {}
                        let keyS: string[] = fieldData?.map((item: any) => item.key)
                        switch (fieldData[0].type) {
                            case '付费趋势':
                                if (b?.natureAmountD7Trend) {
                                    data = b?.natureAmountD7Trend
                                    return <div className={style.dbox}>
                                        {keyS?.includes('rechargeUserCount') && <span style={{ color: '#d81b60', fontWeight: 600 }}>充人：<span>{data?.rechargeUserCount}</span></span>}
                                        {keyS?.includes('rechargeMoney') && <span style={{ color: '#0f538a', fontWeight: 600 }}>充金：<span><Statistic value={data?.rechargeMoney || 0} valueStyle={{ color: '#0f538a', fontWeight: 600 }} /></span></span>}
                                        {keyS?.includes('increase') && <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>增：<span>{(data?.increase * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('back') && <span style={{ color: '#ff5722', fontWeight: 600 }}>回：<span>{(data?.back * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('multiples') && <span style={{ color: '#d81b60', fontWeight: 600 }}>倍：<span>{data?.multiples}</span></span>}
                                    </div>
                                }
                                return '--'
                        }
                    }
                    return '--'
                },
            }, {
                title: "D15（自）",
                dataIndex: "D15Nature",
                label: "自然量付费趋势",
                align: "center",
                width: 110,
                default: 42,
                render: (a: any, b: any) => {
                    let fieldData = getFieldDta()
                    if (fieldData?.length > 0) {
                        let data: any = {}
                        let keyS: string[] = fieldData?.map((item: any) => item.key)
                        switch (fieldData[0].type) {
                            case '付费趋势':
                                if (b?.natureAmountD15Trend) {
                                    data = b?.natureAmountD15Trend
                                    return <div className={style.dbox}>
                                        {keyS?.includes('rechargeUserCount') && <span style={{ color: '#d81b60', fontWeight: 600 }}>充人：<span>{data?.rechargeUserCount}</span></span>}
                                        {keyS?.includes('rechargeMoney') && <span style={{ color: '#0f538a', fontWeight: 600 }}>充金：<span><Statistic value={data?.rechargeMoney || 0} valueStyle={{ color: '#0f538a', fontWeight: 600 }} /></span></span>}
                                        {keyS?.includes('increase') && <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>增：<span>{(data?.increase * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('back') && <span style={{ color: '#ff5722', fontWeight: 600 }}>回：<span>{(data?.back * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('multiples') && <span style={{ color: '#d81b60', fontWeight: 600 }}>倍：<span>{data?.multiples}</span></span>}
                                    </div>
                                }
                                return '--'
                        }
                    }
                    return '--'
                },
            }, {
                title: "M1（自）",
                dataIndex: "M1Nature",
                label: "自然量付费趋势",
                align: "center",
                width: 110,
                default: 43,
                render: (a: any, b: any) => {
                    let fieldData = getFieldDta()
                    if (fieldData?.length > 0) {
                        let data: any = {}
                        let keyS: string[] = fieldData?.map((item: any) => item.key)
                        switch (fieldData[0].type) {
                            case '付费趋势':
                                if (b?.natureAmountM1Trend) {
                                    data = b?.natureAmountM1Trend
                                    return <div className={style.dbox}>
                                        {keyS?.includes('rechargeUserCount') && <span style={{ color: '#d81b60', fontWeight: 600 }}>充人：<span>{data?.rechargeUserCount}</span></span>}
                                        {keyS?.includes('rechargeMoney') && <span style={{ color: '#0f538a', fontWeight: 600 }}>充金：<span><Statistic value={data?.rechargeMoney || 0} valueStyle={{ color: '#0f538a', fontWeight: 600 }} /></span></span>}
                                        {keyS?.includes('increase') && <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>增：<span>{(data?.increase * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('back') && <span style={{ color: '#ff5722', fontWeight: 600 }}>回：<span>{(data?.back * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('multiples') && <span style={{ color: '#d81b60', fontWeight: 600 }}>倍：<span>{data?.multiples}</span></span>}
                                    </div>
                                }
                                return '--'
                        }
                    }
                    return '--'
                },
            }, {
                title: "M2（自）",
                dataIndex: "M2Nature",
                label: "自然量付费趋势",
                align: "center",
                width: 110,
                default: 44,
                render: (a: any, b: any) => {
                    let fieldData = getFieldDta()
                    if (fieldData?.length > 0) {
                        let data: any = {}
                        let keyS: string[] = fieldData?.map((item: any) => item.key)
                        switch (fieldData[0].type) {
                            case '付费趋势':
                                if (b?.natureAmountM2Trend) {
                                    data = b?.natureAmountM2Trend
                                    return <div className={style.dbox}>
                                        {keyS?.includes('rechargeUserCount') && <span style={{ color: '#d81b60', fontWeight: 600 }}>充人：<span>{data?.rechargeUserCount}</span></span>}
                                        {keyS?.includes('rechargeMoney') && <span style={{ color: '#0f538a', fontWeight: 600 }}>充金：<span><Statistic value={data?.rechargeMoney || 0} valueStyle={{ color: '#0f538a', fontWeight: 600 }} /></span></span>}
                                        {keyS?.includes('increase') && <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>增：<span>{(data?.increase * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('back') && <span style={{ color: '#ff5722', fontWeight: 600 }}>回：<span>{(data?.back * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('multiples') && <span style={{ color: '#d81b60', fontWeight: 600 }}>倍：<span>{data?.multiples}</span></span>}
                                    </div>
                                }
                                return '--'
                        }
                    }
                    return '--'
                },
            }, {
                title: "M3（自）",
                dataIndex: "M3Nature",
                label: "自然量付费趋势",
                align: "center",
                width: 110,
                default: 45,
                render: (a: any, b: any) => {
                    let fieldData = getFieldDta()
                    if (fieldData?.length > 0) {
                        let data: any = {}
                        let keyS: string[] = fieldData?.map((item: any) => item.key)
                        switch (fieldData[0].type) {
                            case '付费趋势':
                                if (b?.natureAmountM3Trend) {
                                    data = b?.natureAmountM3Trend
                                    return <div className={style.dbox}>
                                        {keyS?.includes('rechargeUserCount') && <span style={{ color: '#d81b60', fontWeight: 600 }}>充人：<span>{data?.rechargeUserCount}</span></span>}
                                        {keyS?.includes('rechargeMoney') && <span style={{ color: '#0f538a', fontWeight: 600 }}>充金：<span><Statistic value={data?.rechargeMoney || 0} valueStyle={{ color: '#0f538a', fontWeight: 600 }} /></span></span>}
                                        {keyS?.includes('increase') && <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>增：<span>{(data?.increase * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('back') && <span style={{ color: '#ff5722', fontWeight: 600 }}>回：<span>{(data?.back * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('multiples') && <span style={{ color: '#d81b60', fontWeight: 600 }}>倍：<span>{data?.multiples}</span></span>}
                                    </div>
                                }
                                return '--'
                        }
                    }
                    return '--'
                },
            }, {
                title: "总（自）",
                dataIndex: "totalNature",
                label: "自然量付费趋势",
                align: "center",
                width: 110,
                default: 46,
                render: (a: any, b: any) => {
                    let fieldData = getFieldDta()
                    if (fieldData?.length > 0) {
                        let data: any = {}
                        let keyS: string[] = fieldData?.map((item: any) => item.key)
                        switch (fieldData[0].type) {
                            case '付费趋势':
                                if (b?.natureAmountSumTrend) {
                                    data = b?.natureAmountSumTrend
                                    return <div className={style.dbox}>
                                        {keyS?.includes('rechargeUserCount') && <span style={{ color: '#d81b60', fontWeight: 600 }}>充人：<span>{data?.rechargeUserCount}</span></span>}
                                        {keyS?.includes('rechargeMoney') && <span style={{ color: '#0f538a', fontWeight: 600 }}>充金：<span><Statistic value={data?.rechargeMoney || 0} valueStyle={{ color: '#0f538a', fontWeight: 600 }} /></span></span>}
                                        {keyS?.includes('increase') && <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>增：<span>{(data?.increase * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('back') && <span style={{ color: '#ff5722', fontWeight: 600 }}>回：<span>{(data?.back * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('multiples') && <span style={{ color: '#d81b60', fontWeight: 600 }}>倍：<span>{data?.multiples}</span></span>}
                                    </div>
                                }
                                return '--'
                        }
                    }
                    return '--'
                },
            }]
        },
        {
            label: '总付费趋势',
            data: [{
                title: "D1（总）",
                dataIndex: "D1",
                label: "总付费趋势",
                align: "center",
                width: 110,
                default: 47,
                render: (a: any, b: any) => {
                    let fieldData = getFieldDta()
                    if (fieldData?.length > 0) {
                        let data: any = {}
                        let keyS: string[] = fieldData?.map((item: any) => item.key)
                        switch (fieldData[0].type) {
                            case '付费趋势':
                                if (b?.amountD1Trend) {
                                    data = b?.amountD1Trend
                                    return <div className={style.dbox}>
                                        {keyS?.includes('rechargeUserCount') && <span style={{ color: '#d81b60', fontWeight: 600 }}>充人：<span>{data?.rechargeUserCount}</span></span>}
                                        {keyS?.includes('rechargeMoney') && <span style={{ color: '#0f538a', fontWeight: 600 }}>充金：<span><Statistic value={data?.rechargeMoney || 0} valueStyle={{ color: '#0f538a', fontWeight: 600 }} /></span></span>}
                                        {keyS?.includes('increase') && <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>增：<span>{(data?.increase * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('back') && <span style={{ color: '#ff5722', fontWeight: 600 }}>回：<span>{(data?.back * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('multiples') && <span style={{ color: '#d81b60', fontWeight: 600 }}>倍：<span>{data?.multiples}</span></span>}
                                    </div>
                                }
                                return '--'
                        }
                    }
                    return '--'
                },
            }, {
                title: "D3（总）",
                dataIndex: "D3",
                label: "总付费趋势",
                align: "center",
                width: 110,
                default: 48,
                render: (a: any, b: any) => {
                    let fieldData = getFieldDta()
                    if (fieldData?.length > 0) {
                        let data: any = {}
                        let keyS: string[] = fieldData?.map((item: any) => item.key)
                        switch (fieldData[0].type) {
                            case '付费趋势':
                                if (b?.amountD3Trend) {
                                    data = b?.amountD3Trend
                                    return <div className={style.dbox}>
                                        {keyS?.includes('rechargeUserCount') && <span style={{ color: '#d81b60', fontWeight: 600 }}>充人：<span>{data?.rechargeUserCount}</span></span>}
                                        {keyS?.includes('rechargeMoney') && <span style={{ color: '#0f538a', fontWeight: 600 }}>充金：<span><Statistic value={data?.rechargeMoney || 0} valueStyle={{ color: '#0f538a', fontWeight: 600 }} /></span></span>}
                                        {keyS?.includes('increase') && <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>增：<span>{(data?.increase * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('back') && <span style={{ color: '#ff5722', fontWeight: 600 }}>回：<span>{(data?.back * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('multiples') && <span style={{ color: '#d81b60', fontWeight: 600 }}>倍：<span>{data?.multiples}</span></span>}
                                    </div>
                                }
                                return '--'
                        }
                    }
                    return '--'
                },
            }, {
                title: "D7（总）",
                dataIndex: "D7",
                label: "总付费趋势",
                align: "center",
                width: 110,
                default: 49,
                render: (a: any, b: any) => {
                    let fieldData = getFieldDta()
                    if (fieldData?.length > 0) {
                        let data: any = {}
                        let keyS: string[] = fieldData?.map((item: any) => item.key)
                        switch (fieldData[0].type) {
                            case '付费趋势':
                                if (b?.amountD7Trend) {
                                    data = b?.amountD7Trend
                                    return <div className={style.dbox}>
                                        {keyS?.includes('rechargeUserCount') && <span style={{ color: '#d81b60', fontWeight: 600 }}>充人：<span>{data?.rechargeUserCount}</span></span>}
                                        {keyS?.includes('rechargeMoney') && <span style={{ color: '#0f538a', fontWeight: 600 }}>充金：<span><Statistic value={data?.rechargeMoney || 0} valueStyle={{ color: '#0f538a', fontWeight: 600 }} /></span></span>}
                                        {keyS?.includes('increase') && <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>增：<span>{(data?.increase * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('back') && <span style={{ color: '#ff5722', fontWeight: 600 }}>回：<span>{(data?.back * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('multiples') && <span style={{ color: '#d81b60', fontWeight: 600 }}>倍：<span>{data?.multiples}</span></span>}
                                    </div>
                                }
                                return '--'
                        }
                    }
                    return '--'
                },
            }, {
                title: "D15（总）",
                dataIndex: "D15",
                label: "总付费趋势",
                align: "center",
                width: 110,
                default: 50,
                render: (a: any, b: any) => {
                    let fieldData = getFieldDta()
                    if (fieldData?.length > 0) {
                        let data: any = {}
                        let keyS: string[] = fieldData?.map((item: any) => item.key)
                        switch (fieldData[0].type) {
                            case '付费趋势':
                                if (b?.amountD15Trend) {
                                    data = b?.amountD15Trend
                                    return <div className={style.dbox}>
                                        {keyS?.includes('rechargeUserCount') && <span style={{ color: '#d81b60', fontWeight: 600 }}>充人：<span>{data?.rechargeUserCount}</span></span>}
                                        {keyS?.includes('rechargeMoney') && <span style={{ color: '#0f538a', fontWeight: 600 }}>充金：<span><Statistic value={data?.rechargeMoney || 0} valueStyle={{ color: '#0f538a', fontWeight: 600 }} /></span></span>}
                                        {keyS?.includes('increase') && <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>增：<span>{(data?.increase * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('back') && <span style={{ color: '#ff5722', fontWeight: 600 }}>回：<span>{(data?.back * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('multiples') && <span style={{ color: '#d81b60', fontWeight: 600 }}>倍：<span>{data?.multiples}</span></span>}
                                    </div>
                                }
                                return '--'
                        }
                    }
                    return '--'
                },
            }, {
                title: "M1（总）",
                dataIndex: "M1",
                label: "总付费趋势",
                align: "center",
                width: 110,
                default: 51,
                render: (a: any, b: any) => {
                    let fieldData = getFieldDta()
                    if (fieldData?.length > 0) {
                        let data: any = {}
                        let keyS: string[] = fieldData?.map((item: any) => item.key)
                        switch (fieldData[0].type) {
                            case '付费趋势':
                                if (b?.amountM1Trend) {
                                    data = b?.amountM1Trend
                                    return <div className={style.dbox}>
                                        {keyS?.includes('rechargeUserCount') && <span style={{ color: '#d81b60', fontWeight: 600 }}>充人：<span>{data?.rechargeUserCount}</span></span>}
                                        {keyS?.includes('rechargeMoney') && <span style={{ color: '#0f538a', fontWeight: 600 }}>充金：<span><Statistic value={data?.rechargeMoney || 0} valueStyle={{ color: '#0f538a', fontWeight: 600 }} /></span></span>}
                                        {keyS?.includes('increase') && <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>增：<span>{(data?.increase * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('back') && <span style={{ color: '#ff5722', fontWeight: 600 }}>回：<span>{(data?.back * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('multiples') && <span style={{ color: '#d81b60', fontWeight: 600 }}>倍：<span>{data?.multiples}</span></span>}
                                    </div>
                                }
                                return '--'
                        }
                    }
                    return '--'
                },
            }, {
                title: "M2（总）",
                dataIndex: "M2",
                label: "总付费趋势",
                align: "center",
                width: 110,
                default: 52,
                render: (a: any, b: any) => {
                    let fieldData = getFieldDta()
                    if (fieldData?.length > 0) {
                        let data: any = {}
                        let keyS: string[] = fieldData?.map((item: any) => item.key)
                        switch (fieldData[0].type) {
                            case '付费趋势':
                                if (b?.amountM2Trend) {
                                    data = b?.amountM2Trend
                                    return <div className={style.dbox}>
                                        {keyS?.includes('rechargeUserCount') && <span style={{ color: '#d81b60', fontWeight: 600 }}>充人：<span>{data?.rechargeUserCount}</span></span>}
                                        {keyS?.includes('rechargeMoney') && <span style={{ color: '#0f538a', fontWeight: 600 }}>充金：<span><Statistic value={data?.rechargeMoney || 0} valueStyle={{ color: '#0f538a', fontWeight: 600 }} /></span></span>}
                                        {keyS?.includes('increase') && <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>增：<span>{(data?.increase * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('back') && <span style={{ color: '#ff5722', fontWeight: 600 }}>回：<span>{(data?.back * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('multiples') && <span style={{ color: '#d81b60', fontWeight: 600 }}>倍：<span>{data?.multiples}</span></span>}
                                    </div>
                                }
                                return '--'
                        }
                    }
                    return '--'
                },
            }, {
                title: "M3（总）",
                dataIndex: "M3",
                label: "总付费趋势",
                align: "center",
                width: 110,
                default: 53,
                render: (a: any, b: any) => {
                    let fieldData = getFieldDta()
                    if (fieldData?.length > 0) {
                        let data: any = {}
                        let keyS: string[] = fieldData?.map((item: any) => item.key)
                        switch (fieldData[0].type) {
                            case '付费趋势':
                                if (b?.amountM3Trend) {
                                    data = b?.amountM3Trend
                                    return <div className={style.dbox}>
                                        {keyS?.includes('rechargeUserCount') && <span style={{ color: '#d81b60', fontWeight: 600 }}>充人：<span>{data?.rechargeUserCount}</span></span>}
                                        {keyS?.includes('rechargeMoney') && <span style={{ color: '#0f538a', fontWeight: 600 }}>充金：<span><Statistic value={data?.rechargeMoney || 0} valueStyle={{ color: '#0f538a', fontWeight: 600 }} /></span></span>}
                                        {keyS?.includes('increase') && <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>增：<span>{(data?.increase * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('back') && <span style={{ color: '#ff5722', fontWeight: 600 }}>回：<span>{(data?.back * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('multiples') && <span style={{ color: '#d81b60', fontWeight: 600 }}>倍：<span>{data?.multiples}</span></span>}
                                    </div>
                                }
                                return '--'
                        }
                    }
                    return '--'
                },
            }, {
                title: "总（总）",
                dataIndex: "total",
                label: "总付费趋势",
                align: "center",
                width: 110,
                default: 54,
                render: (a: any, b: any) => {
                    let fieldData = getFieldDta()
                    if (fieldData?.length > 0) {
                        let data: any = {}
                        let keyS: string[] = fieldData?.map((item: any) => item.key)
                        switch (fieldData[0].type) {
                            case '付费趋势':
                                if (b?.amountSumTrend) {
                                    data = b?.amountSumTrend
                                    return <div className={style.dbox}>
                                        {keyS?.includes('rechargeUserCount') && <span style={{ color: '#d81b60', fontWeight: 600 }}>充人：<span>{data?.rechargeUserCount}</span></span>}
                                        {keyS?.includes('rechargeMoney') && <span style={{ color: '#0f538a', fontWeight: 600 }}>充金：<span><Statistic value={data?.rechargeMoney || 0} valueStyle={{ color: '#0f538a', fontWeight: 600 }} /></span></span>}
                                        {keyS?.includes('increase') && <span style={{ color: 'rgb(12,130,16)', fontWeight: 600 }}>增：<span>{(data?.increase * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('back') && <span style={{ color: '#ff5722', fontWeight: 600 }}>回：<span>{(data?.back * 100)?.toFixed(2)}%</span></span>}
                                        {keyS?.includes('multiples') && <span style={{ color: '#d81b60', fontWeight: 600 }}>倍：<span>{data?.multiples}</span></span>}
                                    </div>
                                }
                                return '--'
                        }
                    }
                    return '--'
                },
            }]
        },
        {
            label: '操作',
            data: [
                {
                    title: '操作',
                    dataIndex: 'cz',
                    label: '操作',
                    default: 55,
                    align: 'center',
                    width: 75,
                    render: (a: number, b: any) => {
                        return <a onClick={() => rechargeTrendHandle(b)}>复充趋势</a>
                    },
                }
            ]
        }
    ]
}

export default columns12