import { request } from 'umi';
import { api } from '../api';
import { Paging } from './rankingList';
let wapi = api + '/gameData'

/**
 * 订单列表
 * @param data 
 * @returns 
 */
export interface OrderListType extends Paging {
    // 广告账号
    accountId?: string,
    // 归属渠道ID
    agentId?: number, 
    // 订单创建时间
    beginOrderTime?: string
    // 用户注册时间
    beginRegTime?: string
    // CP订单号
    cpOrderId?: string
    // 订单创建时间
    endOrderTime?: string,
    // 用户注册时间
    endRegTime?: string
    // 游戏ID
    gameId?: number
}
export async function getOrderListApi(data: OrderListType) {
    return request(wapi + `/order/list`, {
        method: 'POST',
        data
    });
}